开发者社区> 问答> 正文

ECS Windows 2008 IIS同时配置多版本的php

ECS Windows 2008如何通过IIS同时配置多版本的PHP环境?

展开
收起
开发者说 2019-12-16 17:34:43 1172 0
1 条回答
写回答
取消 提交回答
  • 问题现象

    ECS Windows 2008如何通过IIS同时配置多版本的PHP环境?

    解决方案

    ECS Windows服务器可以通过IIS下安装PHP Manager工具让IIS可以同时支持多版本的PHP,具体步骤如下:

    1.下载PHP Manager软件(可以在http://phpmanager.codeplex.com/releases/view/69115下载),下载后在服务器内双击安装文件进行安装,安装后打开IIS在站点右侧就会多出一个PHP Manager管理选项。

    1.jpg

    2.在系统盘C盘内创建个php文件夹,将不同版本的php文件都转移到此文件夹下,本教程使用的PHP5.2和PHP5.3版本的PHP。

    2.jpg

    3.进入IIS管理界面,双击PHP Manager,选择Register New PHP Version,在弹出的选择框中选择5.2版本目录下的php-cgi.exe文件,确认后,再此点击Register New PHP Version,选择5.3版本目录下的php-cgi.exe文件,同样确认后,多版本的环境就搭建好了。

    3.jpg

    4.jpg

    5.jpg

    4.需要用到哪个PHP版本时,就点击change PHP version选择需要的版本即可。可以点旁边的check phpinfo()来查看相应PHP版本和设置信息。

    6.jpg

    2019-12-16 17:38:00
    赞同 展开评论 打赏
问答排行榜
最热
最新

相关电子书

更多
阿里云栖开发者沙龙PHP技术专场-直面PHP微服务架构挑战-高驰涛 立即下载
PHP安全开发:从白帽角度做安全 立即下载
PHP 2017.北京 全球开发者大会——高可用的PHP 立即下载